petsc-3.6.2 2015-10-02
Report Typos and Errors

# KSPQCGGetQuadratic

Gets the value of the quadratic function, evaluated at the new iterate:

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPQCGGetQuadratic(KSP ksp,PetscReal *quadratic)

q(s) = g^T * s + 0.5 * s^T * H * s

which satisfies the Euclidian Norm trust region constraint

|| D * s || <= delta,

where

delta is the trust region radius, g is the gradient vector, and H is Hessian matrix, D is a scaling matrix.

Collective on KSP

### Input Parameter

ksp -the iterative context

### Output Parameter

quadratic -the quadratic function evaluated at the new iterate

Level:advanced
Location:src/ksp/ksp/impls/qcg/qcg.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages